{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "FVOC_ABREVIATION"; 
            externalType = VARCHAR2; 
            name = fvocAbreviation; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = "FVOC_CODAGE"; 
            externalType = VARCHAR2; 
            name = fvocCodage; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "FVOC_CODE"; 
            externalType = VARCHAR2; 
            name = fvocCode; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2; 
        }, 
        {
            columnName = "FVOC_LIBELLE"; 
            externalType = VARCHAR2; 
            name = fvocLibelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 100; 
        }, 
        {
            columnName = "FVOC_VALIDITE"; 
            externalType = VARCHAR2; 
            name = fvocValidite; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (fvocAbreviation, fvocCodage, fvocCode, fvocLibelle, fvocValidite); 
    className = "org.cocktail.scolaritefwk.serveur.metier.eos.EOScolFormationVocation"; 
    classProperties = (fvocAbreviation, fvocCodage, fvocCode, fvocLibelle, fvocValidite); 
    externalName = "SCOLARITE.SCOL_FORMATION_VOCATION"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_javaClientClassName" = "org.cocktail.scolaritefwk.client.metier.eos.EOScolFormationVocation"; 
    }; 
    name = "FwkScolarite_ScolFormationVocation"; 
    primaryKeyAttributes = (fvocCode); 
}
